
-- VHDL Test Bench Created from source file system.vhd -- 15:14:17 10/11/2002
--
-- Notes: 
-- This testbench has been automatically generated using types std_logic and
-- std_logic_vector for the ports of the unit under test.  Xilinx recommends 
-- that these types always be used for the top-level I/O of a design in order 
-- to guarantee that the testbench will bind correctly to the post-implementation 
-- simulation model.
--
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE behavior OF testbench IS 

	COMPONENT system
	PORT(
		sys_clk : IN std_logic;
		sys_rst : IN std_logic;
		rx : IN std_logic;    
		leds : INOUT std_logic_vector(0 to 7);
		dips : INOUT std_logic_vector(0 to 7);      
		tx : OUT std_logic
		);
	END COMPONENT;

	SIGNAL leds :  std_logic_vector(0 to 7);
	SIGNAL dips :  std_logic_vector(0 to 7);
	SIGNAL sys_clk :  std_logic;
	SIGNAL sys_rst :  std_logic;
	SIGNAL rx :  std_logic;
	SIGNAL tx :  std_logic;

BEGIN

	uut: system PORT MAP(
		leds => leds,
		dips => dips,
		sys_clk => sys_clk,
		sys_rst => sys_rst,
		rx => rx,
		tx => tx
	);


-- *** Test Bench - User Defined Section ***
   tb_clk : PROCESS
   BEGIN
        sys_clk <= '1'; wait for 10 ns; 
		sys_clk <= '0'; wait for 10 ns;
   END PROCESS;

	tb_leds : PROCESS
	BEGIN
		dips <= "00000001"; wait for 2 ms;
		dips <= "00000001"; wait for 2 ms;
		dips <= "00000001"; wait;
	END PROCESS;

   tb_reset : PROCESS
	BEGIN
		sys_rst <= '0'; wait for 1 us;
		sys_rst <= '1'; wait;
	END PROCESS;

	rx <= '0';
-- *** End Test Bench - User Defined Section ***

END;

-- Example
--configuration conf_name of entity_name is
--  for arch_name
--    for inst_name : component_name

-- ***** Insert Configuration Statement Here ******


-- Configuration Statement from /simulation/system_init.vhd
--configuration system_conf of system is
--  for IMP
--    for all : bram1_wrapper use configuration work.bram1_conf;
--    end for;
--  end for;
--end system_conf;

